<?php
class Reports extends MY_AdminController {

	 function __construct()
	{
		parent::__construct();
		//$this->load->helper('string');
		//$this->load->library('common');
		$this->load->library('charts');
		//$this->charts->chart_type('xml');
		//$this->template->set_theme("report");
	}

	// --------------------------------------------------------------------

	function building()
	{
		$id = 2;
		$type="B";
		$date = "2012-04-21";date("Y-m-d");
		$sSql = "SELECT hr, watts FROM hourly_stats WHERE id='".$id."' AND type='".$type."' and stat_date='".$date."'";
		$rs = $this->db->query($sSql);
		$hrs[0] = "";
		$today[0] = "Today";
		foreach($rs->result() as $hrstat)
		{
			$hrstats[$hrstat->hr] = $hrstat->watts;
		}
		for($i=1;$i<=24;$i++)
		{
			$hrs[$i] = $i-1;
			$today[$i] = 12;//isset($hrstats[$i])?$hrstats[$i]:0;
		}
		$chart[ 'chart_data' ] = array ($hrs,$today);print_r($chart[ 'chart_data' ]);

	}
	function index()
	{
		$data = $this->defaultPageContents();
		$this->template->build('index', $data);
	}

	function defaultPageContents()
	{
		$data["page_title"] = "Report";
		$theme_path = $this->template->get_theme_path();
		$type = "B";
		$id = 2;
		$data["hourly_chart"] = $this->charts->InsertChart( site_url($theme_path."charts.swf"), site_url($theme_path."charts_library"), site_url("reports/hourlychart/".$type."/".$id), 600, 300, 'ff8800' );
		//$data["daily_periodical_chart"] = $this->charts->InsertChart( site_url($theme_path."charts.swf"), site_url($theme_path."charts_library"), site_url("reports/daily_periodical_chart/".$type."/".$id), 300, 300, 'ff8800' );
		//$data["weekly_chart"] = $this->charts->InsertChart( site_url($theme_path."charts.swf"), site_url($theme_path."charts_library"), site_url("reports/weeklychart/".$type."/".$id), 600, 300, 'ff8800' );
		//$data["weeklyusagesummary_chart"] = $this->charts->InsertChart( site_url($theme_path."charts.swf"), site_url($theme_path."charts_library"), site_url("reports/weeklyusagesummary/".$type."/".$id), 300, 300 ,'eeffee' );
		return $data;
	}

	function hourlychart()
	{
		$theme_path = $this->template->get_theme_path();
		$type = $this->uri->segment(3);
		$id = $this->uri->segment(4);
		$date = "2012-04-21";
		$sSql = "SELECT hr, watts FROM hourly_stats WHERE id='".$id."' AND type='".$type."' and stat_date='".$date."'";
		$rs = $this->db->query($sSql);
		foreach($rs->result() as $hrstat)
		{
			$hrstats[$hrstat->hr] = $hrstat->watts;
		}
		$chart[ 'axis_category' ] = array (  'size'=>10, 'color'=>"000000", 'alpha'=>75, 'skip'=>0 ,'orientation'=>"horizontal" ); 
		$chart[ 'axis_ticks' ] = array ( 'value_ticks'=>false, 'category_ticks'=>true, 'major_thickness'=>2, 'minor_thickness'=>1, 'minor_count'=>1, 'major_color'=>"000000", 'minor_color'=>"222222" ,'position'=>"inside" );
		$chart[ 'axis_value' ] = array ( 'size'=>10, 'color'=>"ff8800", 'alpha'=>80, 'steps'=>6, 'prefix'=>"", 'suffix'=>"", 'decimals'=>0, 'separator'=>"", 'show_min'=>false );
		$hrs[0] = "ddd";
		$today[0] = "Today";
		for($i=1;$i<=24;$i++)
		{
			$hrs[$i] = $i-1;
			$today[$i] = 12;//isset($hrstats[$i])?$hrstats[$i]:0;
		}
		$chart[ 'chart_data' ] = array ($hrs,$today);
		//$chart[ 'chart_data' ] = array ( array ( "", "0", "1", "2", "3", "4", "5", "6", "7"), array ( "Today", 0.48, 0.55, 0.80, 0.100 , 0.48, 0.55, 0.80, 0.100 ), array ( "First day of WS", 0.68, 0.75, 0.95, 0.65 , 0.68, 0.75, 0.95, 0.65));
		$chart[ 'chart_grid_h' ] = array ( 'alpha'=>10, 'color'=>"000000", 'thickness'=>1 );
		//$chart[ 'chart_pref' ] = array ( 'line_thickness'=>2, 'point_shape'=>"circle", 'fill_shape'=>false );
		$chart[ 'chart_rect' ] = array ( 'x'=>50, 'y'=>100, 'width'=>520, 'height'=>150, 'positive_color'=>"ffffff", 'positive_alpha'=>50, 'negative_color'=>"000000", 'negative_alpha'=>10, 'bevel'=>'bg', 'shadow'=>'high' );
		$chart[ 'chart_transition' ] = array ( 'type'=>"slide_left", 'delay'=>.5, 'duration'=>.5, 'order'=>"series" );
		$chart[ 'chart_type' ] = "line";
		$chart[ 'chart_value' ] = array ( 'position'=>"cursor", 'size'=>12, 'color'=>"000000", 'background_color'=>"aaff00", 'alpha'=>80 );

		$chart[ 'draw' ] = array ( array('type'=>'image', 'layer'=>'background', 'x'=>'0', 'y'=>'0', 'width'=>'600', 'height'=>'300', 'url'=>site_url($theme_path."chart_resources/electricity.jpg")), array ( 'transition'=>"dissolve", 'delay'=>0, 'duration'=>.5, 'type'=>"text", 'color'=>"000000",									'alpha'=>25, 'font'=>"Arial", 'rotation'=>0, 'bold'=>true, 'size'=>48, 'x'=>8, 'y'=>7, 'width'=>400,								'height'=>75, 'text'=>"hourly report", 'h_align'=>"center", 'v_align'=>"bottom" ), 
									array ( 'type'=>"text", 'color'=>"ffffff", 'alpha'=>70	, 'font'=>"arial", 'rotation'=>0, 'bold'=>true, 'size'=>20, 'x'=>10, 'y'=>0, 'width'=>300, 'height'=>150, 'text'=>"Lab - Ground Floor", 'h_align'=>"left", 'v_align'=>"top" ),
									array ( 'type'=>"text", 'color'=>"ffffff", 'alpha'=>50, 'font'=>"arial", 'rotation'=>-90, 'bold'=>true, 'size'=>50, 'x'=>-10, 'y'=>348, 'width'=>300, 'height'=>150, 'text'=>"watts", 'h_align'=>"center", 'v_align'=>"top" ),
									array ( 'type'=>"text", 'color'=>"000000", 'alpha'=>28, 'font'=>"arial", 'rotation'=>0, 'bold'=>true, 'size'=>60, 'x'=>0, 'y'=>0, 'width'=>320, 'height'=>300, 'text'=>"score", 'h_align'=>"left", 'v_align'=>"bottom" ) );

		//$chart ['filter'] = array( array('type'=>'shadow', 'id'=>'hight','distance'=>'5','angle'=>'45'));
		$chart[ 'legend_label' ] = array ( 'layout'=>"horizontal", 'bullet'=>"line", 'font'=>"arial", 'bold'=>true, 'size'=>13, 'color'=>"ffffff", 'alpha'=>65 ); 
		$chart[ 'legend_rect' ] = array ( 'x'=>50, 'y'=>75, 'width'=>320, 'height'=>5, 'margin'=>5, 'fill_color'=>"000000", 'fill_alpha'=>7, 'line_color'=>"000000", 'line_alpha'=>0, 'line_thickness'=>0 ); 
		$chart[ 'legend_transition' ] = array ( 'type'=>"dissolve", 'delay'=>0, 'duration'=>.5 );

		$chart[ 'series_color' ] = array ( "ff4444", "ffff00", "8844ff" ); 

		//$chart [ 'series_explode' ] = array ( 400 );
	
		$chart[ 'series_color' ] = array (  "ff4444", "ffff00", "8844ff" ); 
		$chart [ 'live_update' ] = array (   'url'    =>  site_url("reports/hourlychart/".$type."/".$id), 
								 'delay'  =>  3600,
								 'fail'   =>  false
							); 
		$this->charts->SendChartData ( $chart );
	}

	function daily_periodical_chart()
	{
		$chart[ 'chart_data' ] = array ( array ( "", "00-04", "04-08", "08-12", "12-16", "16-20","20-00" ), array ( "", 2, 10, 30, 50, 40, 10 ) );
		$chart[ 'chart_grid_h' ] = array ( 'alpha'=>20, 'color'=>"000000", 'thickness'=>1, 'type'=>"solid" );
		$chart[ 'chart_rect' ] = array ( 'positive_color'=>"ffffff", 'positive_alpha'=>50, 'negative_color'=>"ff0000", 'negative_alpha'=>10 );
		$chart[ 'chart_type' ] = "pie";
		$chart[ 'chart_value' ] = array ( 'color'=>"ffffff", 'alpha'=>90, 'font'=>"arial", 'bold'=>true, 'size'=>10, 'position'=>"inside", 'prefix'=>"", 'suffix'=>"", 'decimals'=>0, 'separator'=>"", 'as_percentage'=>true );

		$chart[ 'draw' ] = array ( array ( 'type'=>"text", 'color'=>"000000", 'alpha'=>10, 'font'=>"arial", 'rotation'=>0, 'bold'=>true, 'size'=>30, 'x'=>0, 'y'=>140, 'width'=>300, 'height'=>150, 'text'=>"|||||||||||||||||||||||||||||||||||||||||||||||", 'h_align'=>"center", 'v_align'=>"bottom" )) ;

		$chart[ 'legend_label' ] = array ( 'layout'=>"horizontal", 'bullet'=>"circle", 'font'=>"arial", 'bold'=>true, 'size'=>13, 'color'=>"ffffff", 'alpha'=>85 ); 
		$chart[ 'legend_rect' ] = array ( 'fill_color'=>"ffffff", 'fill_alpha'=>30, 'line_color'=>"000000", 'line_alpha'=>0, 'line_thickness'=>0 ); 

		$chart[ 'series_color' ] = array ( "4d4d4d", "88dd11", "4e62dd", "ff8811", "ddaa41", "5a4b6e" ); 
		$chart[ 'series_explode' ] = array ( 15,4,4,4,4,4);
		$this->charts->SendChartData ( $chart );

	}

	function weeklychart()
	{
		$theme_path = $this->template->get_theme_path();
		$type = $this->uri->segment(3);
		$id = $this->uri->segment(4);
		$chart[ 'axis_category' ] = array (  'size'=>10, 'color'=>"000000", 'alpha'=>75, 'skip'=>0 ,'orientation'=>"horizontal" ); 
		$chart[ 'axis_ticks' ] = array ( 'value_ticks'=>false, 'category_ticks'=>true, 'major_thickness'=>2, 'minor_thickness'=>1, 'minor_count'=>1, 'major_color'=>"000000", 'minor_color'=>"222222" ,'position'=>"inside" );
		$chart[ 'axis_value' ] = array ( 'size'=>10, 'color'=>"ffffff", 'alpha'=>80, 'steps'=>6, 'prefix'=>"", 'suffix'=>"", 'decimals'=>0, 'separator'=>"", 'show_min'=>false );
				
		$chart[ 'chart_data' ] = array ( array ( "", "Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"), array ( "Today", 3.36, 3.85, 5.60, 0.700 , 3.36, 3.85, 5.60 ), array ( "First week of WS", 4.76, 5.25, 6.65, 4.55 ,4.76, 5.25, 6.65));
		$chart[ 'chart_grid_h' ] = array ( 'alpha'=>10, 'color'=>"000000", 'thickness'=>1 );
		//$chart[ 'chart_pref' ] = array ( 'line_thickness'=>2, 'point_shape'=>"circle", 'fill_shape'=>false );
		$chart[ 'chart_rect' ] = array ( 'x'=>50, 'y'=>100, 'width'=>520, 'height'=>150, 'positive_color'=>"ffffff", 'positive_alpha'=>50, 'negative_color'=>"000000", 'negative_alpha'=>10, 'bevel'=>'bg', 'shadow'=>'high' );
		$chart[ 'chart_transition' ] = array ( 'type'=>"slide_left", 'delay'=>.5, 'duration'=>.5, 'order'=>"series" );
		$chart[ 'chart_type' ] =array("column","area");
		$chart[ 'chart_value' ] = array ( 'position'=>"cursor", 'size'=>12, 'color'=>"000000", 'background_color'=>"aaff00", 'alpha'=>80 );

		$chart[ 'draw' ] = array ( array ( 'transition'=>"dissolve", 'delay'=>0, 'duration'=>.5, 'type'=>"text", 'color'=>"000000",									'alpha'=>25, 'font'=>"Arial", 'rotation'=>0, 'bold'=>true, 'size'=>48, 'x'=>8, 'y'=>7, 'width'=>400,								'height'=>75, 'text'=>"weekly report", 'h_align'=>"center", 'v_align'=>"bottom" ), 
									array ( 'type'=>"text", 'color'=>"ffffff", 'alpha'=>70	, 'font'=>"arial", 'rotation'=>0, 'bold'=>true, 'size'=>20, 'x'=>10, 'y'=>0, 'width'=>300, 'height'=>150, 'text'=>"Lab - Ground Floor", 'h_align'=>"left", 'v_align'=>"top" ),
									array ( 'type'=>"text", 'color'=>"ffffff", 'alpha'=>50, 'font'=>"arial", 'rotation'=>-90, 'bold'=>true, 'size'=>50, 'x'=>-10, 'y'=>348, 'width'=>300, 'height'=>150, 'text'=>"watts", 'h_align'=>"center", 'v_align'=>"top" ),
									array ( 'type'=>"text", 'color'=>"000000", 'alpha'=>28, 'font'=>"arial", 'rotation'=>0, 'bold'=>true, 'size'=>60, 'x'=>0, 'y'=>0, 'width'=>320, 'height'=>300, 'text'=>"score", 'h_align'=>"left", 'v_align'=>"bottom" ) );

		//$chart ['filter'] = array( array('type'=>'shadow', 'id'=>'hight','distance'=>'5','angle'=>'45'));
		$chart[ 'legend_label' ] = array ( 'layout'=>"horizontal", 'bullet'=>"line", 'font'=>"arial", 'bold'=>true, 'size'=>13, 'color'=>"ffffff", 'alpha'=>65 ); 
		$chart[ 'legend_rect' ] = array ( 'x'=>50, 'y'=>75, 'width'=>320, 'height'=>5, 'margin'=>5, 'fill_color'=>"000000", 'fill_alpha'=>7, 'line_color'=>"000000", 'line_alpha'=>0, 'line_thickness'=>0 ); 
		$chart[ 'legend_transition' ] = array ( 'type'=>"dissolve", 'delay'=>0, 'duration'=>.5 );

		$chart[ 'series_color' ] = array ( "ff4444", "ffff00", "8844ff" ); 

		//$chart [ 'series_explode' ] = array ( 400 );
	
		$chart[ 'series_color' ] = array (  "ff4444", "ffff00", "8844ff" ); 
		/*$chart [ 'live_update' ] = array (   'url'    =>  site_url("reports/hourlychart/".$type."/".$id), 
								 'delay'  =>  3600,
								 'fail'   =>  false
							); */
		
		$this->charts->SendChartData ( $chart );
	}

	function weeklyusagesummary()
	{
		$chart[ 'axis_category' ] = array ( 'font'=>"arial", 'bold'=>true, 'size'=>12, 'color'=>"ff8844", 'alpha'=>85, 'skip'=>0 ); 
		$chart[ 'axis_ticks' ] = array ( 'value_ticks'=>true, 'category_ticks'=>true, 'major_thickness'=>2, 'minor_thickness'=>1, 'minor_count'=>1, 'major_color'=>"222222", 'minor_color'=>"222222" ,'position'=>"centered" );
		$chart[ 'axis_value' ] = array ( 'font'=>"arial", 'bold'=>true, 'size'=>10, 'color'=>"ffffff", 'alpha'=>30, 'steps'=>6, 'prefix'=>"", 'suffix'=>"", 'decimals'=>0, 'separator'=>"", 'show_min'=>true );

		$chart[ 'chart_border' ] = array ( 'color'=>"000000", 'top_thickness'=>1, 'bottom_thickness'=>1, 'left_thickness'=>3, 'right_thickness'=>1 );
		$chart[ 'chart_data' ] = array ( array ( "", ""), array ( "Week", 28), array ( "Ave", 7), array ( "Min", 1), array ( "Today", 5), array ( "Max", 9));
		$chart[ 'chart_grid_h' ] = array ( 'alpha'=>20, 'color'=>"000000", 'thickness'=>1, 'type'=>"dashed" );
		$chart[ 'chart_grid_v' ] = array ( 'alpha'=>20, 'color'=>"000000", 'thickness'=>1 );
		$chart[ 'chart_rect' ] = array ( 'x'=>50, 'y'=>30, 'width'=> 240, 'height'=>230, 'positive_color'=>"ffffff", 'negative_color'=>"ff0000", 'positive_alpha'=>35, 'negative_alpha'=>10 );
		$chart[ 'chart_transition' ] = array ( 'type'=>"scale", 'delay'=>.5, 'duration'=>.5, 'order'=>"category" );
		$chart[ 'chart_type' ] = "bar"; 
		$chart[ 'chart_value' ] = array ( 'color'=>"ffffff", 'alpha'=>50, 'font'=>"arial", 'bold'=>true, 'size'=>10, 'position'=>"center", 'prefix'=>"", 'suffix'=>"", 'decimals'=>0, 'separator'=>"", 'as_percentage'=>false );

		$chart[ 'draw' ] = array ( array ( 'type'=>"text", 'color'=>"8888FF", 'alpha'=>35, 'size'=>45, 'x'=>120, 'y'=>18, 'width'=>300, 'height'=>240, 'text'=>"weekly", 'h_align'=>"left", 'v_align'=>"bottom" ),
								   array ( 'type'=>"text", 'color'=>"ff8800", 'alpha'=>35, 'size'=>30, 'x'=>0, 'y'=>60, 'width'=>300, 'height'=>240, 'text'=>"summary", 'h_align'=>"left", 'v_align'=>"bottom" ),
								   array ( 'type'=>"text", 'color'=>"000044", 'alpha'=>35, 'rotation'=>-90, 'size'=>60, 'x'=>-41, 'y'=>270, 'width'=>300, 'height'=>100, 'text'=>"U s a g e", 'h_align'=>"left", 'v_align'=>"bottom" ),
								   array ( 'type'=>"text", 'color'=>"000000", 'alpha'=>55, 'rotation'=>-90, 'size'=>12, 'x'=>-31, 'y'=>235, 'width'=>300, 'height'=>100, 'text'=>"Total", 'h_align'=>"left", 'v_align'=>"bottom" ), array ( 'type'=>"text", 'color'=>"000000", 'alpha'=>55, 'rotation'=>-90, 'size'=>12, 'x'=>-31, 'y'=>195, 'width'=>300, 'height'=>100, 'text'=>"Avg", 'h_align'=>"left", 'v_align'=>"bottom" ), 
								    array ( 'type'=>"text", 'color'=>"000000", 'alpha'=>55, 'rotation'=>-90, 'size'=>12, 'x'=>-31, 'y'=>155, 'width'=>300, 'height'=>100, 'text'=>"Min", 'h_align'=>"left", 'v_align'=>"bottom" ), array ( 'type'=>"text", 'color'=>"000000", 'alpha'=>55, 'rotation'=>-90, 'size'=>12, 'x'=>-31, 'y'=>128, 'width'=>300, 'height'=>100, 'text'=>"Today", 'h_align'=>"left", 'v_align'=>"bottom" ), array ( 'type'=>"text", 'color'=>"000000", 'alpha'=>55, 'rotation'=>-90, 'size'=>12, 'x'=>-31, 'y'=>85, 'width'=>300, 'height'=>100, 'text'=>"Max", 'h_align'=>"left", 'v_align'=>"bottom" )  );

		$chart[ 'legend_rect' ] = array ( 'x'=>-100, 'y'=>-100, 'width'=>10, 'height'=>10 ); 

		$chart[ 'series_color' ] = array ( "4e627c", "c89341", "4c6b41" ); 
		$this->charts->SendChartData ( $chart );
	}
}
?>