<?php
class pcategories_model extends CI_Model  {

	var $dbTable = "point_cats";
	var $companyId;

	function pcategories_model()
	{
		$this->load->library('encrypt');
	}

	function set_company($company_id)
	{
		$this->companyId = $company_id;
	}
	function get_cat_count()
	{
		$this->db->where("company_id",$this->companyId);
		return $this->db->count_all_results($this->dbTable);
	}

	function get_cats($per_page, $current_page)
	{
		$this->db->where("company_id",$this->companyId);
		$allcats = $this->db->get($this->dbTable, $per_page, $current_page); 
		return $allcats;
	}

	function get_allcats()
	{
		$this->db->where("company_id",$this->companyId);
		$allcats = $this->db->get($this->dbTable);
		return $allcats;
	}
	function addcat($catData)
	{
		$catData["company_id"]=$this->companyId;
		if ($this->db->insert($this->dbTable, $catData))
		{
			return $this->db->insert_id();
		}
		else
		{
			return FALSE;
		}
	}

	function getcat($catId)
	{
		$this->db->where('point_cat_id', $catId);
		return $this->db->get($this->dbTable);
	}
	

	function updatecat($catId, $catData)
	{
		$catData["company_id"]=$this->companyId;
		$this->db->where('point_cat_id', $catId);
		if ($this->db->update($this->dbTable, $catData))
		{
			return TRUE;
		}
		else
		{
			return FALSE;
		}
	}
	
	function deletecat($catId)
	{
		$this->db->where('point_cat_id', $catId);
		if ($this->db->delete($this->dbTable))
		{
			return TRUE;
		}
		else
		{
			return FALSE;
		}
	}
	function checkDuplicate($title, $id=0)
	{
		$this->db->where('point_cat', $title);
		$this->db->where("company_id",$this->companyId);
		if ($id > 0)
			$this->db->where('point_cat_id !=', $id);
		$result = $this->db->get($this->dbTable);
        // Is there a row with this email?
        if ($result->num_rows > 0)
			return 1;
		else
			return 0;
	}
}
?>