<?php  if (!defined('BASEPATH')) exit('No direct script access allowed');

$lang['accounts_admin_account_create_success'] = 'Admin account successfully created';
$lang['accounts_admin_account_create_fail'] = 'Problem creating Admin account';
$lang['accounts_admin_account_delete_success'] = 'Admin account successfully deleted';
$lang['accounts_admin_account_delete_fail'] = 'Problem deleting Admin account';

$lang['actions_cancel'] = 'Cancel';
$lang['actions_change'] = 'Change';
$lang['actions_delete'] = 'Delete';
$lang['actions_view'] = 'View';
$lang['actions_save'] = 'Save';
$lang['actions_edit'] = 'Edit';
$lang['actions_archive'] = 'Archive';
$lang['actions_add'] = 'Add';
$lang['actions_team'] = 'Team';
$lang['actions_back'] = 'Back';
$lang['actions_milestones'] = 'Milestones';
$lang['actions_required_fields'] = 'Required Fields';
$lang['actions_select_below'] = 'select below';
$lang['actions_change_password'] = 'Change Password';

$lang['tps_file_logo'] = '<span>Page Expiration Robot PRO</span>';
$lang['tps_file_version'] = 'Version';


$lang['error_date_fill'] = 'There appeared to be errors. Please note that the date must be in the format YYYY-MM-DD, and the amount must be a number. Please go back and try again.';
$lang['error_date_format'] = 'The date must be in the format YYYY-MM-DD';
$lang['error_field_required'] = 'This field is required';
$lang['error_login_password'] = 'Provide a password please';
$lang['error_login_username'] = 'Provide a username please';

$lang['install_explain'] = 'Your email is used both as your &quot;username&quot; for logging in, and also for any email tasks, such as sending invoices, resetting passwords, etc.  The Primary Contact name is used in the &quot;from&quot; field when sending out invoices over email.';
$lang['install_install'] = 'Install';
$lang['install_welcome'] = 'Welcome to '.$lang['tps_file_logo'].'.  In order to install I just need to gather a few things about you.';

$lang['login_allow_login'] = 'Add new admin account';
$lang['login_caps_lock'] = 'Please ensure your <em>Caps Lock</em> key is not pressed';
$lang['login_forgot_password'] = 'Forgotten password';
$lang['login_login'] = 'Login';
$lang['login_logout'] = 'Logout';
$lang['login_logout_confirm'] = 'You are about to logout. Are you sure you want to do this?';
$lang['login_logout_success1'] = "You've been successfully logged out. If you wish, you can";
$lang['login_logout_success2'] = 'login again';
$lang['login_password'] = 'Password';
$lang['login_password_confirm'] = 'Password Confirm';
$lang['login_password_email'] = "can email your password to the email address you were registered with. If you've forgotten it and want to have it reset, simply fill out the form below.";
$lang['login_password_email1'] = 'Your password change has been successful. Your new password is';
$lang['login_password_email2'] = 'and can now be used to';
$lang['login_password_fail'] = "Something went wrong. I know this isn't a very helpful error, looks like some debugging is needed";
$lang['login_password_reset_demo'] = 'For the demo, this is disabled, but you would have received an email with reset information.';
$lang['login_password_reset_disabled'] = 'For the demo version, password resetting is disabled.';
$lang['login_password_reset_email1'] = 'Someone (presumably you), has requested a password reset for your account.';
$lang['login_password_reset_email2'] = 'To reset it now, follow this link to our website:';
$lang['login_password_reset_email3'] = "If you did not initiate this request, simply disregard this email, and we're sorry for bothering you.";
$lang['login_password_reset_title'] = 'Password Reset';
$lang['login_password_reset_unable'] = 'Unable to reset your password. Please try again.';
$lang['login_password_sent'] = 'Your password change confirmation has been sent to';
$lang['login_password_submit'] = 'Send password';
$lang['login_password_success'] = 'Your password change has been successful, and has been emailled.';
$lang['login_remember_me'] = 'Remember me';
$lang['login_username'] = 'User Name';
$lang['login_wrong_password'] = 'Sorry, the username and/or password could not be found or was wrong. Please try again.';

$lang['menu_dashboard'] = 'Dashboard';


// Users
$lang["users"] = "Users";
$lang["user"] = "User";

// Counters
$lang["counters"] = "Counters";
$lang["counter"] = "Counter";

$lang['title_error'] = "Enter title.";
$lang['expirer_method_error'] = "Select Expirer After method.";
$lang['method_error'] = "Select Expire visitors by.";

// Install
$lang['database_server'] = "Database Server";
$lang['database_name'] = "Database Name";
$lang['database_user'] = "Database User";
$lang['database_password'] = "Database Password";
$lang['is_required'] = " is required.";
$lang['db_error'] = "Error in connecting database. Check provided details are correct.";
$lang['page_title'] = "Install";
$lang['success_page_title'] = "Success Install";
$lang['config_permissions'] = "Set Config directory to 755 permission";
$lang['xml_permissions'] = "Set xml directory to 755 permission";
$lang['database_server_info'] = "You should be able to get this info from your web host, if localhost does not work.";
$lang['database_name_info'] = "The database name you want to run ExpirationRobot in.";
$lang['database_user_info'] = "MySQL username.";
$lang['database_password_info'] = "MySQL password.";
$lang['install_title'] = "Expiration Robot Installation";
$lang['install_title_success'] = "Expiration Robot Installation Success";
$lang['install_success_msg'] = "Installation completed succeefully";
?>