<?php

class Counters extends MY_AdminController {

	function Counters()
	{
		parent::__construct();
		$this->load->helper('string');
		$this->load->model('counters_model');
		$this->counters_model->set_user($this->session->userdata("user_id"));
	}

	// --------------------------------------------------------------------

	function index()
	{
		$xml_path = XML_PATH;
		if (is_dir($xml_path))
		{
			chmod($xml_path,0755);
			if ($handle = opendir($xml_path)) {
			 while (false !== ($file = readdir($handle))) { 
				 if (strpos($file,"sess.xml") !== false) {
					if ((time()-filectime($xml_path."/".$file)) >= 86400) {  
					  unlink($xml_path."/".$file);
				   }
				}
			 }
			}
			closedir($handle);
		}
		$data = $this->defaultPageContents($this->uri->segment(3));
	
		$this->template->build('index', $data);
	}

	function edit($id)
	{
		//$data = $this->defaultPageContents();
		$data["act"] = "Edit"; 
		$counter = $this->counters_model->getCounter($id)->result_array();
		$counterDetails = $counter[0];
		if(!empty($counterDetails)){
			@unlink(XML_PATH."/flash_preview_".$id.".xml");
		$data["expirer_title"] = $expirer_title = $counterDetails["title"];
		if((isset($counterDetails['redirection_url'])) && (strlen($counterDetails['redirection_url']) >= 1)){
			$data["link"] =  $link =$counterDetails['redirection_url'];
		}

		$data["activation"] =  $activation=" checked ='true' ";

		$data["splash_url"]=$counterDetails['splash_url'];
		$data["method"] = $counterDetails['method'];
		
		if($counterDetails['method']==0){
			$data["method_0"] =  $method_0=" checked ='true' ";
		}
		if($counterDetails['method']==1){
			$data["method_1"] =  $method_1=" checked ='true' ";
		}
		if($counterDetails['method']==2){
			$data["method_2"] =  $method_2=" checked ='true' ";
		}
		$data["expiry_method"] =  $expiry_method  = "";
		$data["expiry_method"] =  $expiry_method = $counterDetails['expiry_method'];

		if( $expiry_method == 3)
		{
			$data["expiry_method_3"] = $expiry_method_3=" checked='true' ";
			$data["expiry_method"] = $expiry_method = 3;
			$data["action_reach"] = $action_reach = $counterDetails["total_reach"];
			$data["balance_reach"] = $balance_reach = $counterDetails["balance_reach"];
			$data["action_reach_msg"] = $action_reach_msg = $counterDetails["display_msg"];
			if ($counterDetails["unique_only"] == 1)
			{
				$data["unique_action_reach"] = $unique_action_reach = " checked='true'";
				$data["unique_only_reach"] = 1;
			}
		}
		else if($counterDetails['expiry_time']==0 || $expiry_method == 1){
			$data["expiry_method_1"] =  $expiry_method_1=" checked ='true' ";
			$data["expiry_method"] =  $expiry_method  = 1;
		}
		else{
			if(($counterDetails['expiry_time']> 0 && $counterDetails['expiry_date_time']=="0000-00-00 00:00:00") || $expiry_method == 2){
				$data["expiry_method_2"] =  $expiry_method_2=" checked ='true' ";
				$data["expiry_method"] =  $expiry_method  = 2;
			}
			else
			{
				$data["expiry_method_0"] =  $expiry_method_0=" checked ='true' ";
				$data["expiry_method"] =  $expiry_method  = 0;
			}
			$data["time"] =  $time =$counterDetails['expiry_time'];
			$data["selected_timezone"] = $timezone = $counterDetails["time_zone"];
			$data["expires_on"] =  $expires_on =$counterDetails['expiry_date_time'];
			$data["expires_on "] =  $expires_on  = str_replace(" ","-",$expires_on);
			$data["expires_on "] =  $expires_on  = str_replace(":","-",$expires_on);

			$data["days"] =  $days =floor($time/(24*60*60));
			$data["hours"] =  $hours =floor($time/(60*60));
			$data["minutes"] =  $minutes =floor($time/60);
			$data["seconds"] =  $seconds =floor($time);
			$hours-=($days*24);
			$data["hours"] =  $hours;
			$minutes-=(($days*24*60)+($hours*60));
			$data["minutes"] =  $minutes;
			$seconds-=(($days*24*60*60)+($hours*60*60)+($minutes*60));
			$data["seconds"] =  $seconds;
			$data["exptime"] =  $data["expiry_date_time1"] = $exptime  = $days."-".$hours."-".$minutes."-".$seconds;

			if($days<1){
				$data["default_day"] =  $default_day ="";
			}
			else{
				$data["default_day"] =  $default_day =$days;
			}

			if($hours<1){
				$data["default_hour"] =  $default_hour ="";
			}
			else{
				$data["default_hour"] =  $default_hour =$hours;
			}

			if($minutes<1){
				$data["default_minute"] =  $default_minute ="";
			}
			else{
				$data["default_minute"] =  $default_minute =$minutes;
			}

			if($seconds<1){
				$data["default_second"] =  $default_second ="";
			}
			else{
				$data["default_second"] =  $default_second =$seconds;
			}
		}


		$data["event"] = $counterDetails['event'];
		if($counterDetails['event']==''){
			$data["event_0"] =  $event_0 ='';
		}else{
			$data["event_0"] =  $event_0=" checked ='true' ";
		}
		if($counterDetails['event']==1){
			$data["event_1"] =  $event_1=" checked ='true' ";
		}
		if($counterDetails['event']==2){
			$data["event_2"] =  $event_2=" checked ='true' ";
		}
		$data["color_num"] = $counterDetails["color_num"];
		if($counterDetails['color_num']==0){
			$data["black"] =  $black=" checked ='true' ";
			$data["num_xml"] =  $num_xml ="0x000000";
		}
		elseif($counterDetails['color_num']==1){
			$data["custom"] =  $custom=" checked ='true' ";
			$data["num_xml"] =  $data["myhexcode"] = $num_xml =str_replace("0x","#",$counterDetails['myhexcode']);
		}
		$data["back_color"] = $counterDetails["back_color"];
		if($counterDetails['back_color']==0){
			$data["white"] =  $white=" checked ='true' ";
			$data["bg_color"] =  $bg_color ="0xFFFFFF";
		}
		if($counterDetails['back_color']==1){
			$data["custom1"] =  $custom1=" checked ='true' ";
			$data["bg_color"] =  $data["myhexcode1"] = $bg_color =str_replace("0x","#",$counterDetails['myhexcode1']);
		}
		$data["counter_size"] = $counterDetails["counter_size"];
		if($counterDetails['counter_size']==0){
			$data["small"] =  $small=" checked ='true' ";
		}
		if($counterDetails['counter_size']==1){
			$data["medium"] =  $medium=" checked ='true' ";
		}
		if($counterDetails['counter_size']==2){
			$data["large"] =  $large=" checked ='true' ";
		}
		$data["alignment"] = $counterDetails["alignment"];
		if($counterDetails['alignment']==0){
			$data["left"] =  $left=" checked ='true' ";
		}
		if($counterDetails['alignment']==1){
			$data["centered"] =  $centered=" checked ='true' ";
		}
		if($counterDetails['alignment']==2){
			$data["right"] =  $right=" checked ='true' ";
		}
		$data["cday"] = $counterDetails["day"];
		if($counterDetails['day']==1){
			$data["day"] =  $day=" checked ='checked' ";
			$data["day_xml"] =  $day_xml ="false";
		}
		else{
			$data["day_xml"] =  $day_xml ="true";
		}
		$data["chrs"] = $counterDetails["hrs"];
		if($counterDetails['hrs']==1){
			$data["hrs"] =  $hrs=" checked ='checked' ";
			$data["hrs_xml"] =  $hrs_xml ="false";
		}
		else{
		$data["hrs_xml"] =  $hrs_xml ="true";
		}
		$data["cmins"] = $counterDetails["mins"];
		if($counterDetails['mins']==1){
			$data["mins"] =  $mins=" checked ='checked' ";
			$data["mins_xml"] =  $mins_xml ="false";
		}
		else{
			$data["mins_xml"] =  $mins_xml ="true";
		}
		$data["csecs"] = $counterDetails["secs"];
		if($counterDetails['secs']==1){
			$data["secs"] =  $secs=" checked ='checked' ";
			$data["secs_xml"] =  $secs_xml ="false";
		}
		else{
			$data["secs_xml"] =  $secs_xml ="true";
		}
	}
	$data["today"] =  $today  = date("y-m");

	$data["date"] =  $date =$counterDetails['timestamp'];
	if ($counterDetails['expiry_date_time'] == "0000-00-00 00:00:00")
		$data['expiry_date_time'] = $expiry_date_time = "";
	else
		$data['expiry_date_time'] = $expiry_date_time = $counterDetails['expiry_date_time'];

	$data["day_timer"] =  $day_timer =gmdate("j", $date);
	$data["hys_timer"] =  $hys_timer =gmdate("H", $date);
	$data["mys_timer"] =  $mys_timer =gmdate("i", $date);
	$data["sys_timer"] =  $sys_timer =gmdate("s", $date);

	$data["dys"] =  $dys  =$day_timer+$days;
	$data["hys"] =  $hys  =$hys_timer+$hours;
	$data["mys"] =  $mys  =$mys_timer+$minutes;
	$data["sys"] =  $sys  =$sys_timer+$seconds;

	if (trim($exptime."") == "")
		$data["exptime"] =  $exptime  = "000-00-00-00";
	$data["id"] = $id;
	$data["flash_file"] = 'flash_'.$id.'.xml';
	$data["form_action"] = "counters/save";
	//$this->template->set_theme("plain");
	//$this->template->build('form', $data);
	echo json_encode($data);
	}

	function validate()
	{
		$errors = "";
		if (!isset($_POST["expirer_title"]) || $_POST["expirer_title"]=="")
		{
			$errors .= $this->lang->line('title_error')."<br/>";
		}
		
		if(!isset($_POST['expiry_method']) || !is_numeric($_POST['expiry_method'])){
			$errors .= $this->lang->line('expirer_method_error')."<br/>";
		}
		if ($_POST['expiry_method'] == 1 || $_POST['expiry_method'] == 3)
			$_POST["method"] = 0;
		if(!isset($_POST['method']) || !is_numeric($_POST['method'])){
			$errors .= $this->lang->line('method_error')."<br/>";
		}
		return $errors;
	}
	function save()
	{
		$wpdb = $this->db;
		global $pluginName,$themepath, $xml_path_url, $xml_path, $xml_path_abs;
		$post_id = 1;
		$cogit_ex_info = "page_expiry_info";
		if(!isset($_POST['activation'])){
			$wpdb->query("DELETE FROM ".$cogit_ex_info." WHERE post_id=$post_id");
		}
		
		$errors = "";

		$errors = $this->validate();

		if($_POST['expiry_method']==1 || $_POST['expiry_method']==3){
			$_POST['expiry_day']=0;
			$_POST['expiry_hour']=0;
			$_POST['expiry_minute']=0;
			$_POST['expiry_second']=0;
		}

		if(!is_numeric($_POST['expiry_day']))
			return $post_id;	
		if(!is_numeric($_POST['expiry_hour']))
			return $post_id;	
		if(!is_numeric($_POST['expiry_minute']))
			return $post_id;
		if(!is_numeric($_POST['expiry_second']))
			return $post_id;	

		$expiry_method = $_POST['expiry_method'];

		if(!isset($_POST['method'])){
			$method=0;
		}
		elseif(!is_numeric($_POST['method'])){
			$method=0;
		}
		else{
			$method=addslashes($_POST['method']);
		}
		$pattern = '/^(([\w]+:)?\/\/)?(([\d\w]|%[a-fA-f\d]{2,2})+(:([\d\w]|%[a-fA-f\d]{2,2})+)?@)?([\d\w][-\d\w]{0,253}[\d\w]\.)+[\w]{2,4}(:[\d]+)?(\/([-+_~.\d\w]|%[a-fA-f\d]{2,2})*)*(\?(&amp;?([-+_~.\d\w]|%[a-fA-f\d]{2,2})=?)*)?(#([-+_~.\d\w]|%[a-fA-f\d]{2,2})*)?$/';
		if(!preg_match('/^(?:[;\/?:@&=+$,]|(?:[^\W_]|[-_.!~*\()\[\] ])|(?:%[\da-fA-F]{2}))*$/', $_POST['redirection_url'])){
			$url="";
		}
		else{
			$url=addslashes($_POST['redirection_url']);
		}

		if($method==1){
			$timestamp=time();
		}
		elseif($method==2){
			$timestamp=time();
		}
		else{
			$timestamp=0;
		}
		$timestamp=time();
		$expiry_date_time = $_POST["expiry_date_time"];
		$timeZone = $_POST["time_zone"];
		$timestamp = $this->gettime_timezone($timeZone);
		$userTimezone = new DateTimeZone($timeZone);
		$userdatetime = new DateTime($expiry_date_time,$userTimezone);
		$expiry_date_time = $userdatetime->format('m-d-Y H:i:s');

		$m = substr($expiry_date_time, 0, 2);
		$d = substr($expiry_date_time, 3, 2);
		$y = substr($expiry_date_time, 6, 4);
		$t =substr($expiry_date_time, 11, 8);

		$expiry_dateandtime = $y."-".$m."-".$d." ".$t;

		/* << By COG IT */
		if($_POST['expiry_method']==0){
			$timestamp=time();
			$timestamp = $this->gettime_timezone($timeZone);
			//$endtime = strtotime($_POST["expiry_date_time"]." 23:59:59");
			$expires_on = $expiry_dateandtime = $y."-".$m."-".$d." ".$t;
			$endtime = strtotime($expiry_dateandtime);
			$exptime = $endtime - $timestamp;
			//$expires_on = $expiry_dateandtime = $y."-".$m."-".$d." 23:59:59";
		}
		else if($_POST['expiry_method']==2){
			$exptime = 0;
			$exptime = $_POST['expiry_day'] * 24 * 60 * 60;
			$exptime+= $_POST['expiry_hour'] * 60 * 60;
			$exptime+= $_POST['expiry_minute'] * 60;
			$exptime+= $_POST['expiry_second'];
			$expiry_dateandtime = "";
			$expires_on = "";
		}
		else if($_POST['expiry_method']==3){
			$action_reach = $_POST['action_reach'];
			$action_reach_msg = $_POST['action_reach_msg'];
			if (isset($_POST['unique_action_reach']))
				$unique_action_reach = 1;
			else
				$unique_action_reach = 0;
		}
		$time = $exptime;
		$days =floor($time/(24*60*60));
		$hours =floor($time/(60*60));
		$minutes =floor($time/60);
		$seconds =floor($time);
		$hours-=($days*24);
		$minutes-=(($days*24*60)+($hours*60));
		$seconds-=(($days*24*60*60)+($hours*60*60)+($minutes*60));
		$exptime_xml = $days."-".$hours."-".$minutes."-".$seconds;
		/* By COG IT >> */	
		$pid=addslashes($post_id);

		$event=$_POST['event'];
		$flash_path2=$xml_path_abs;//dirname(__FILE__);
		move_uploaded_file($_FILES['imag']['tmp_name'],$flash_path2."/uploaded/".$_FILES['imag']['name']);
		$image=$_FILES['imag']['name'];
		$color_num=$_POST['color_num'];
		$str=$_POST['myhexcode'];
		if (trim($str."") == "")
			$str = "#000000";
		$myhexcode =str_replace('#','0x',$str);
		$splash_url=$_POST['splash_url'];
		$back_color=$_POST['back_color'];
		$str1=$_POST['myhexcode1'];
		if (trim($str1."") == "")
			$str1 = "#FFFFFF";
		if($_POST['color_num']==0){
			$num_xml ="0x000000";
		}
		elseif($_POST['color_num']==1){
			$num_xml =$_POST['myhexcode'];
		}
		if($_POST['back_color']==0){
			$bg_color ="0xFFFFFF";
		}
		if($_POST['back_color']==1){
			$bg_color =$_POST['myhexcode1'];
		}
		$myhexcode1 =str_replace('#','0x',$str1);

		$counter_size=$_POST['counter_size'];
		$alignment=$_POST['alignment'];
		$hid_label=$_POST['hid_label']; 
		$day=$hid_label["day"];
		$hrs=$hid_label["hrs"];
		$mins=$hid_label["mins"];
		$secs=$hid_label["secs"]; 
		if($day==1){
			$day_xml ="false";
		}
		else{
			$day_xml ="true";
		}

		if($hrs==1){
			$hrs_xml ="false";
		}
		else{
			$hrs_xml ="true";
		}

		if($mins==1){
			$mins_xml ="false";
		}
		else{
			$mins_xml ="true";
		}

		if($secs==1){
			$secs_xml ="false";
		}
		else{
			$secs_xml ="true";
		}
		if ($errors == "")
		{

			$countersData["title"] = $_POST["expirer_title"]."";
			$countersData["expiry_time"] = $time."";
			$countersData["redirection_url"] = $url."";
			$countersData["method"] = $method."";
			$countersData["event"] = $event."";
			$countersData["splash_url"] = $splash_url."";
			$countersData["color_num"] = $color_num."";
			$countersData["myhexcode"] = $myhexcode."";
			$countersData["back_color"] = $back_color."";
			$countersData["myhexcode1"] = $myhexcode1."";
			$countersData["counter_size"] = $counter_size."";
			$countersData["alignment"] = $alignment."";
			$countersData["day"] = $day."";
			$countersData["hrs"] = $hrs."";
			$countersData["mins"] = $mins."";
			$countersData["secs"] = $secs."";
			$countersData["timestamp"] = $timestamp."";
			$countersData["blog_id"] = 1;
			$countersData["expiry_date_time"] = $expiry_dateandtime."";
			$countersData["expiry_method"] = $expiry_method."";
			$countersData["time_zone"] = $timeZone;
			if (isset($_POST["id"]) && $_POST["id"] > 0)
			{
				$counterId = $this->counters_model->updateCounter($_POST["id"],$countersData);
				$action = "updated";
			}
			else
			{
				$counterId = $this->counters_model->addCounter($countersData);
				$action = "added";
			}
			if ($expiry_method == 3)
			{
				$delete = 1;
				$rsActionInfo = $this->counters_model->get_counter_action_reach_data($counterId)->result_array();
				$actioninfo = $rsActionInfo[0];
				if (!empty($actioninfo))
				{
					if ($actioninfo["balance_reach"] == $actioninfo["total_reach"])
						$delete = "1";
					else
						$delete = "0";
					$balance_reach = $actioninfo["balance_reach"];
					if ($actioninfo["total_reach"] != $action_reach)
					{
						$add = $action_reach - $actioninfo["total_reach"];
						$balance_reach = $actioninfo["balance_reach"] + $add;
					}
				}
				if ($delete)
				{
					$this->counters_model->delCounterReaches($counterId);

					$counterReaches["P_Id"] = $counterId;
					$counterReaches["total_reach"] = $action_reach;
					$counterReaches["display_msg"] = mysql_escape_string($action_reach_msg);
					$counterReaches["balance_reach"] = $action_reach;
					$counterReaches["unique_only"] = $unique_action_reach;
					$this->counters_model->addCounterReaches($counterReaches);
					
				}
				else
				{
					$counterReaches["total_reach"] = $action_reach;
					$counterReaches["display_msg"] = mysql_escape_string($action_reach_msg);
					$counterReaches["balance_reach"] = $action_reach;
					$counterReaches["unique_only"] = $unique_action_reach;
					$this->counters_model->updateCounterReaches($counterId, $counterReaches);
				}
			}
			$xml='<?xml version="1.0" encoding="UTF-8" ?> 
			<setting>
			<!--target Time Text, days-hours-mins-secs-->
				<targetTimeText>'.$exptime_xml.'</targetTimeText>
			<!--target Time Text, year-month-date-hour-min-sec-->
				<targetDateTimeText>'.$expiry_dateandtime.'</targetDateTimeText>
				<!--target Time Zone, GMT-->
				<targetTimeZone>0</targetTimeZone>
				<!--inner glow alpha, 1~100 -->
				<innerGlowAlpha>100</innerGlowAlpha>
				<!--background shadow Alpha, 1~100 -->
				<bgShadowAlpha>100</bgShadowAlpha>
				<!--background light Alpha, 1~100 -->
				<bgLightAlpha>100</bgLightAlpha>
				<!--textColor, 0x000000~0xFFFFFF-->
				<textColor>'.$myhexcode.'</textColor>
				<!--bgColor, 0x000000~0xFFFFFF-->
				<bgColor>'.$myhexcode1.'</bgColor>
				<!--show or hide label, true or false-->
				<showLabel>true</showLabel>
				<!--show or hide label, true or false-->
				<showDay>'.$day_xml.'</showDay>
				<!--show or hide label, true or false-->
				<showHour>'.$hrs_xml.'</showHour>
				<!--show or hide label, true or false-->
				<showMin>'.$mins_xml.'</showMin>
				<!--show or hide label, true or false-->
				<showSec>'.$secs_xml.'</showSec>
				<!--text space-->
				<textSpace>15</textSpace>
				<!-- method -->
				<method>'.$res['method'].'</method>
				<!-- days-->
				<days>'.$days.'</days>
				<!-- hrs-->
				<hrs>'.$hours.'</hrs>
				<!-- mins -->
				<mins>'.$minutes.'</mins>
				<!-- secs -->
				<secs>'.$seconds.'</secs>
			</setting>';
			 
			$flash_path1 = XML_PATH;
			// code for writing an flash xml file start
			$myFile = $flash_path1.'/flash_'.$counterId.'.xml';
			$fh = fopen($myFile, 'w') or die("can't open file");
			$stringData = $xml;
			fwrite($fh, $stringData);
			fclose($fh);
			$data = $this->defaultPageContents();
			$data["flash_file"] = 'flash_'.$counterId.'.xml';
			$data["msg"]= "Counter ".$action." successfully.";
			$data["msgDisplay"]= "table-row";
			$data["msgType"]= "success";
			echo "<script language='javascript'>window.parent.document.onsave(".$counterId.");</script>";exit();
		}
		else
		{
			$data = $this->defaultPageContents();
			$data["expirer_title"] = $_POST["expirer_title"];
			$data["link"] =  $_POST['redirection_url'];
			$data["splash_url"]=$_POST['splash_url'];

			if($_POST['method']==0){
				$data["method_0"] =  " checked ='true' ";
			}
			if($_POST['method']==1){
				$data["method_1"] =  " checked ='true' ";
			}
			if($_POST['method']==2){
				$data["method_2"] =  " checked ='true' ";
			}
			$data["expiry_method"] =  $expiry_method  = "";
			if($_POST['expiry_method']==1){
				$data["expiry_method_1"] =  " checked ='true' ";
				$data["expiry_method"] =  1;
			}
			else if($_POST['expiry_method']==2){
					$data["expiry_method_2"] =  " checked ='true' ";
					$data["expiry_method"] =  2;
					$data["expiry_date_time1"] = $_POST["expiry_date_time1"];
			}
			else
			{
				$data["expiry_method_0"] =  " checked ='true' ";
				$data["expiry_method"] =  0;
			}
			$data["time"] =  $_POST['expiry_time'];
			$data["expires_on"] =  $expires_on = $_POST['expiry_date_time'];
			$data["expires_on"] =  $expires_on  = str_replace(" ","-",$expires_on);
			$data["expires_on"] =  $expires_on  = str_replace(":","-",$expires_on);
			$data["days"] =  $days =floor($time/(24*60*60));
			$data["hours"] =  $hours =floor($time/(60*60));
			$data["minutes"] =  $minutes =floor($time/60);
			$data["seconds"] =  $seconds =floor($time);
			$hours-=($days*24);
			$data["hours"] =  $hours;
			$minutes-=(($days*24*60)+($hours*60));
			$data["minutes"] =  $minutes;
			$seconds-=(($days*24*60*60)+($hours*60*60)+($minutes*60));
			$data["seconds"] =  $seconds;
			$data["exptime"] =  $exptime  = $days."-".$hours."-".$minutes."-".$seconds;
			if($days<1){
				$data["default_day"] =  $default_day ="";
			}
			else{
				$data["default_day"] =  $default_day =$days;
			}

			if($hours<1){
				$data["default_hour"] =  $default_hour ="";
			}
			else{
				$data["default_hour"] =  $default_hour =$hours;
			}

			if($minutes<1){
				$data["default_minute"] =  $default_minute ="";
			}
			else{
				$data["default_minute"] =  $default_minute =$minutes;
			}

			if($seconds<1){
				$data["default_second"] =  $default_second ="";
			}
			else{
				$data["default_second"] =  $default_second =$seconds;
			}


			if($_POST['event']=='' || $_POST['event']==0){
				$data["event_0"] =  $event_0 ='';
			}else{
				$data["event_0"] =  $event_0=" checked ='true' ";
			}
			if($_POST['event']==1){
				$data["event_1"] =  $event_1=" checked ='true' ";
			}
			if($_POST['event']==2){
				$data["event_2"] =  $event_2=" checked ='true' ";
			}
			if($_POST['color_num']==0){
				$data["black"] =  $black=" checked ='true' ";
				$data["num_xml"] =  $num_xml ="0x000000";
			}
			elseif($_POST['color_num']==1){
				$data["custom"] =  $custom=" checked ='true' ";
				$data["num_xml"] =  $data["myhexcode"] =$_POST['myhexcode'];
			}
			if($_POST['back_color']==0){
				$data["white"] =  $white=" checked ='true' ";
				$data["bg_color"] =  $bg_color ="0xFFFFFF";
			}
			if($_POST['back_color']==1){
				$data["custom1"] =  $custom1=" checked ='true' ";
				$data["bg_color"] =  $data["myhexcode1"] =$_POST['myhexcode1'];
			}
			if($_POST['counter_size']==0){
				$data["small"] =  $small=" checked ='true' ";
			}
			if($_POST['counter_size']==1){
				$data["medium"] =  $medium=" checked ='true' ";
			}
			if($_POST['counter_size']==2){
				$data["large"] =  $large=" checked ='true' ";
			}
			if($_POST['alignment']==0){
				$data["left"] =  $left=" checked ='true' ";
			}
			if($_POST['alignment']==1){
				$data["centered"] =  $centered=" checked ='true' ";
			}
			if($_POST['alignment']==2){
				$data["right"] =  $right=" checked ='true' ";
			}

			if($day==1){
				$data["day"] =  $day=" checked ='checked' ";
				$data["day_xml"] =  $day_xml ="false";
			}
			else{
				$data["day_xml"] =  $day_xml ="true";
			}

			if($hrs==1){
				$data["hrs"] =  $hrs=" checked ='checked' ";
				$data["hrs_xml"] =  $hrs_xml ="false";
			}
			else{
			$data["hrs_xml"] =  $hrs_xml ="true";
			}

			if($mins==1){
				$data["mins"] =  $mins=" checked ='checked' ";
				$data["mins_xml"] =  $mins_xml ="false";
			}
			else{
				$data["mins_xml"] =  $mins_xml ="true";
			}

			if($secs==1){
				$data["secs"] =  $secs=" checked ='checked' ";
				$data["secs_xml"] =  $secs_xml ="false";
			}
			else{
				$data["secs_xml"] =  $secs_xml ="true";
			}
		
			$data["today"] =  $today  = date("y-m");

			$data["date"] =  $date =$_POST['timestamp'];
			$data['expiry_date_time'] = $_POST['expiry_date_time'];
			$data["day_timer"] =  $day_timer =gmdate("j", $date);
			$data["hys_timer"] =  $hys_timer =gmdate("H", $date);
			$data["mys_timer"] =  $mys_timer =gmdate("i", $date);
			$data["sys_timer"] =  $sys_timer =gmdate("s", $date);

			$data["dys"] =  $dys  =$day_timer+$days;
			$data["hys"] =  $hys  =$hys_timer+$hours;
			$data["mys"] =  $mys  =$mys_timer+$minutes;
			$data["sys"] =  $sys  =$sys_timer+$seconds;

			if (trim($exptime."") == "")
				$data["exptime"] =  $exptime  = "000-00-00-00";
			$data["msg"]= $errors;
			$data["msgDisplay"]= "table-row";
			$data["msgType"]= "error";
			echo "<script language='javascript'>window.parent.document.onsave(0);</script>";exit();
		}
		
		$this->template->build('index', $data);
	}

	function update()
	{
		if (!$this->counters_model->checkDuplicate($this->input->post('ph'), $this->input->post('i')))
		{
			$user_data = array(
							'email' => $this->input->post('e'),
							'contact_name' => $this->input->post('n'),
							'company_name' => $this->input->post('c'),
							'user_name' => $this->input->post('u'),
							'contact_phone' => $this->input->post('ph'),
							'status'=>  $this->input->post('s'),
							'parent_user'=>  1,
						);
			if (trim($this->input->post('p')) != "")
				$user_data['user_pwd'] = $this->input->post('p');
			$user_id = $this->counters_model->updateuser( $this->input->post('i'), $user_data);
			$data = $this->defaultPageContents();
			$data["msg"]= "user added successfully.";
			$data["msgDisplay"]= "block";
			$data["msgType"]= "success";
		}
		else
		{
			$data = $this->defaultPageContents();
			$data["email"] = $this->input->post('e');
			$data["company"] = $this->input->post('c');
			$data["user_name"] = $this->input->post('u');
			$data["phone"] = $this->input->post('ph');
			$data["pid"] = $this->input->post('pid');
			$data["name"] = $this->input->post('n');
			$data["id"] = $this->input->post('i');
			$data["pwd"] = $this->input->post('p');
			if ($this->input->post('s') == 1)
				$data["status"] = "checked";
			else
				$data["status"] = "";
			$data["msg"]= "user already exists.";
			$data["msgDisplay"]= "table-row";
			$data["msgType"]= "error";
			$data["act"] = "Edit";
			$data["form_action"] = "counters/update";
		}
		$this->template->build('index', $data);
	}
	function delete($Id)
	{
		$user_id = $this->counters_model->deleteCounter($Id);
		echo $Id;exit();
		$data = $this->defaultPageContents();
		$data["msg"]= "Counter deleted successfully.";
		$data["msgDisplay"]= "block";
		$data["msgType"]= "success";
		$this->template->build('index', $data);
	}

	function getcode($id)
	{
		$counter = $this->counters_model->getCounter($id)->result_array();
		$counterDetails = $counter[0];
		if($counterDetails["counter_size"]==0){
			 $width="293";
			 $hight="105";
		 }elseif($counterDetails["counter_size"]==1){
			 $width="420";
			 $hight="115";
		 }elseif($counterDetails["counter_size"]==2){
			 $width="580";
			 $hight="120";
		 }
		 $code = '<iframe src="'.site_url().'counter/index/'.$counterDetails["counter_id"].'" frameborder="0" style="width:'.((int)$width+220).'px;height:'.((int)$hight+115).'px;"></iframe>';
		 if ($counterDetails['expiry_method'] == 3)
		 {
			 $code .= '|'.'<iframe src="'.site_url().'counter/track/'.$counterDetails["counter_id"].'" frameborder="0" width="0" height="0"></iframe>';
		 }

		 echo $code;
	}
	function defaultPageContents($currentPage = 0)
	{
		$config = $this->config->item("pagination");
		$data["text_orientation"] = "left";
		if ( function_exists( 'is_rtl' ) )
			$data["text_orientation"] = is_rtl() ? 'right' : 'left';

		$data["activation"] = "";
		$data["link"] = "";
		$data["expiry_method_0"] = "";
		$data["expiry_method_1"] = "";
		$data["expiry_method_2"] = "";
		$data["expiry_method_3"] = "";
		$data["action_reach"] = "eg. 10";
		$data["action_reach_msg"] = "";
		$data["balance_reach"] = "";
		$data["unique_action_reach"] = "";
		$data["default_day"] = "";
		$data["default_hour"] = "";
		$data["default_minute"] = "";
		$data["default_second"] = "";
		$data["method_0"] = "";
		$data["method_1"] = "";
		$data["method_2"] = "";
		$data["event_0"] = "";
		$data["event_1"] = "";
		$data["event_2"] = "";
		$data["splash_url"] = "";
		$data["black"] = "";
		$data["custom"] = "";
		$data["white"] = "";
		$data["custom1"] = "";
		$data["small"] = "";
		$data["medium"] = "";
		$data["large"] = "";
		$data["left"] = "";
		$data["centered"] = "";
		$data["right"] = "";
		$data["msg"]= "";
		$data["msgDisplay"]= "none";
		$data["msgType"]= "success";
		
		$data["id"] = 0;
		
		$data['page_title'] = 'Counters';
		$data["selected_timezone"] = $timezone = "America/Los_Angeles";
		$data["act"] = "Add";
		$data["form_action"] = "counters/save";
		$data["flash_file"] = 'flash_0.xml';
		$data['counters'] = $this->counters_model->get_allcounters()->result();
		
		$config['base_url'] = site_url('counters/index/');
		$config['total_rows'] = $this->counters_model->get_counters_count();
		$this->pagination->initialize($config); 
		//$data['pagination'] = $this->pagination->create_links();
		
		return $data;
	}

	function preview()
	{
		$q=$_GET["q"];
		$color=$_GET["color"];
		$id=$_GET["id"];

		$a='0x'.$q;

		$xml_file_preview = XML_PATH."/flash_preview_".$id.".xml";            // define the directory and the name of the xml file
		$xml_file = XML_PATH."/flash_".$id.".xml";            // define the directory and the name of the xml file
		if (file_exists($xml_file_preview))
			$xml_file = $xml_file_preview;
		// create a new XML object and load the content of the XML file
		$xmlDoc = new DOMDocument();
		$xmlDoc->load($xml_file);

		$root = $xmlDoc->documentElement;              // get the first child node (the root)
		$elms = $root->getElementsByTagName("*");      // gets all elements ("*") in root
		$nr_elms = $elms->length;      
			// gets the number of elements

		// loop through all elements stored in $elms
		for($i = 0; $i<$nr_elms; $i++) {
		$node = $elms->item($i);               // gets the current node
		if($color==$node->nodeName){
		// if the name of the current $node is 'div', changes its value
		if($node->nodeName=='textColor') {
		$node->nodeValue = $a;

		// sets and add a new DIV, in the same parent node

		}
		}
		if($color==$node->nodeName){
		// if the name of the current $node is 'div', changes its value
		if($node->nodeName=='bgColor') {
		$node->nodeValue = $a;

		// sets and add a new DIV, in the same parent node

		}
		}
		}

		// save the new xml content in the same file and output its structure
		if($xmlDoc->save($xml_file_preview)) {
			htmlentities($xmlDoc->saveXML());
			echo $id;
		}
	}

	function gettime_timezone($timeZone, $datetime="")
	{
		$userTimezone = new DateTimeZone($timeZone);
		if ($datatime == "")
			$mydatetime = new DateTime();
		else
			$mydatetime = new DateTime($datetime);
			
		$mydatetime->setTimezone($userTimezone);
		$current_time = $mydatetime->format('Y-m-d H:i:s');
		$timestamp=strtotime($current_time);
		return $timestamp;
	}
}
 
?>