<?php
class points_model extends CI_Model  {

	var $dbTable = "employee_points";
	var $companyId;

	function users_model()
	{
	}

	function set_company($company_id)
	{
		$this->companyId = $company_id;
	}

	function get_users_count()
	{
		$this->db->where("company_id",$this->companyId);
		return $this->db->count_all_results($this->dbTable);
	}
	function get_users_points($month, $year, $per_page, $current_page)
	{
		$this->db->where("month_year",$month.$year);
		$this->db->where("company_id",$this->companyId);
		$this->db->order_by("employee_id");
		$allusers = $this->db->get($this->dbTable, $per_page, $current_page); 
		return $allusers;
	}

	function get_allusers_points($month, $year)
	{
		$this->db->where("month_year",$month.$year);
		$this->db->where("company_id",$this->companyId);
		$this->db->order_by("employee_id");
		$allusers = $this->db->get($this->dbTable);
		return $allusers;
	}
	function adduser_points($userData)
	{
		$userData['company_id'] = $this->companyId;
		if ($this->db->insert($this->dbTable, $userData))
		{
			return $this->db->insert_id();
		}
		else
		{
			return FALSE;
		}
	}

	function delete_company_user_points()
	{
		$this->db->where("company_id",$this->companyId);
		if ($this->db->delete($this->dbTable))
		{
			return TRUE;
		}
		else
		{
			return FALSE;
		}
	}
	function getuser_points($userId)
	{
		$this->db->where('employee_id', $userId);
		return $this->db->get($this->dbTable);
	}

}
?>