<?php
class Settings extends MY_AdminController {

	function __construct()
	{
		parent::__construct();
		$this->load->helper('string');
		$this->load->model('settings_model');
		$this->load->library('curl');
		$this->settings_model->set_user($this->session->userdata("user_id") );
	}

	// --------------------------------------------------------------------

	function index()
	{
		$data["page_title"] = "Settings";
		$msg = "";
		$validated = $this->settings_model->get_setting("is_expirer_validated_paid");
		if(!empty($_POST))
		{
			$page = $this->curl->post ('http://www.internetmarketingwizard.com/members/wp-auth.php', $_POST); 
			if ($page == "1") // success 
			{
				$this->settings_model->update_setting("is_expirer_validated_paid",md5("valid"));
				$validated = md5("valid");
				$error = 0;
			}
			else
			{
				$error = 1;
				$msg = "Error : username or password is wrong";
			}	

		}
		if ($validated == "")
		{
			$data["msg"] = $msg;
			$this->template->build('index', $data);
		}
		else
		{
			$data["msg"] = $msg;
			$this->template->build('success', $data);
		}
	}
}
?>