<?php
class Settings_model extends CI_Model  {

	var $dbTable = "settings";
	var $userid;
	function set_user($user_id)
	{
		$this->userid = $user_id;
	}

	function update_setting($key, $value)
	{
		$data["KEY"] = $key;
		$data["VALUE"] = $value;
		$this->db->where("KEY", $key);
		$count = $this->db->count_all_results($this->dbTable);
		if ($count == 0)
		{
			$this->db->insert($this->dbTable, $data);
		}
		else
		{
			$this->db->where("KEY", $key);
			$this->db->update($this->dbTable, $data);
		}
	}

	function get_setting($key)
	{
		$this->db->where("KEY", $key);
		$count = $this->db->count_all_results($this->dbTable);
		if ($count == 0)
		{
			return false;
		}
		else
		{
			$this->db->where("KEY", $key);
			$option = $this->db->get($this->dbTable)->row();
			return $option->VALUE;
		}
	}
	function get_allsettings()
	{
		$allsettings = $this->db->get($this->dbTable);
		return $allsettings;
	}
}
?>