<?php
global $xml_path_abs;
if (file_exists($xml_path_abs."/flash_".$post_id.".xml"))
{
$xmlDoc = new DOMDocument();
$xmlDoc->load($xml_path_abs."/flash_".$post_id.".xml");

$x = $xmlDoc->documentElement;
$options = array();
foreach ($x->childNodes AS $item)
{
	if ($item->nodeName == "#comment" || $item->nodeName == "#text")
		continue;
	$options[$item->nodeName] = $item->nodeValue;
}

//$options['targetTimeText'] = date('d-H-i-s',$et);
$expiry_day = $deduct = floor($et/(24*60*60));
$et = $et - ($deduct*24*60*60);
$expiry_hour = $deduct = floor($et/(60*60));
$et = $et - ($deduct*60*60);
$expiry_minute = $deduct = floor($et/(60));
$et = $et - ($deduct*60);
$expiry_second = $deduct = floor($et);

$exptime = $expiry_day."-".$expiry_hour."-".$expiry_minute."-".$expiry_second;

$xml='<?xml version="1.0" encoding="UTF-8" ?> 
<setting>
<!--target Time Text, year-month-date-hour-min-sec-->
	<targetTimeText>'.$exptime.'</targetTimeText>
	<targetDateTimeText>'.$options['targetDateTimeText'].'</targetDateTimeText>
	<!--target Time Zone, GMT-->
	<targetTimeZone>'.$options['targetTimeZone'].'</targetTimeZone>
	<!--inner glow alpha, 1~100 -->
	<innerGlowAlpha>'.$options['innerGlowAlpha'].'</innerGlowAlpha>
	<!--background shadow Alpha, 1~100 -->
	<bgShadowAlpha>'.$options['bgShadowAlpha'].'</bgShadowAlpha>
	<!--background light Alpha, 1~100 -->
	<bgLightAlpha>'.$options['bgLightAlpha'].'</bgLightAlpha>
	<!--textColor, 0x000000~0xFFFFFF-->
    <textColor>'.$options['textColor'].'</textColor>
	<!--bgColor, 0x000000~0xFFFFFF-->
	<bgColor>'.$options['bgColor'].'</bgColor>
	<!--show or hide label, true or false-->
	<showLabel>'.$options['showLabel'].'</showLabel>
	<!--show or hide label, true or false-->
	<showDay>'.$options['showDay'].'</showDay>
	<!--show or hide label, true or false-->
	<showHour>'.$options['showHour'].'</showHour>
	<!--show or hide label, true or false-->
	<showMin>'.$options['showMin'].'</showMin>
	<!--show or hide label, true or false-->
	<showSec>'.$options['showSec'].'</showSec>
	<!--text space-->
	<textSpace>'.$options['textSpace'].'</textSpace>
	<!-- method -->
	<method>'.$options['method'].'</method>
	<!-- days-->
	<days>'.$options['days'].'</days>
	<!-- hrs-->
	<hrs>'.$options['hrs'].'</hrs>
	<!-- mins -->
	<mins>'.$options['mins'].'</mins>
	<!-- secs -->
	<secs>'.$options['secs'].'</secs>
</setting>';
//echo $xml;
$fp = fopen($xml_path_abs."/".$xml_file,"w+");
fwrite($fp,$xml);
fclose($fp);
}
?>